> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeem People - Single

> Spend credits to unlock full contact details (email, phone) for a specific person.



## OpenAPI

````yaml en-openapi POST /redeem/people
openapi: 3.0.0
info:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/en/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/en/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: Workspace profile information and usage statistics
  - name: Enrichment
    description: Enrich people and company records with detailed B2B data
  - name: Lookalike
    description: Find companies similar to a given company
  - name: Search
    description: Search for people, companies, jobs, news, and advertisements with filters
  - name: Lookup
    description: >-
      Look up detailed information for specific people, companies, jobs, news,
      advertisements, and technologies
  - name: LinkedIn
    description: Look up people and company data via LinkedIn profile URLs
  - name: Redeem
    description: Redeem credits to unlock people contact details (single and batch)
  - name: Channels
    description: Manage outreach channel templates (create, update, delete, list)
  - name: Monitor
    description: Create and manage data monitors with webhooks, statistics, and processing
  - name: Filters
    description: >-
      Retrieve available filter values for search parameters (technologies,
      locations, verticals, etc.)
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /redeem/people:
    post:
      tags:
        - Redeem
      summary: Redeem a person's contact details
      description: >-
        Spend credits to unlock full contact details (email, phone) for a
        specific person.
      operationId: redeem_people
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                people_search_id:
                  $ref: '#/components/schemas/people_search_id'
                linkedin_url:
                  $ref: '#/components/schemas/people_linkedin_url'
                people_contact_types:
                  $ref: '#/components/schemas/people_contact_types'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              anyOf:
                - title: People Search ID
                  required:
                    - people_search_id
                    - people_contact_types
                - title: LinkedIn URL
                  required:
                    - linkedin_url
                    - people_contact_types
      responses:
        '200':
          description: Successful response containing redeem people details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  profile:
                    credit: 450376
                    topup_credit: 235237
                    total_credit_cost: 45
                  peoples:
                    - people_search_id: e37ccf38-ea8f-422e-9874-cb23b15e8fe4
                      emails:
                        - value: example@gmail.com
                          type: email-personal
                          status: null
                        - value: example@pubrio.com
                          type: email-work
                          status: Verified
                      phones:
                        - value: '+1123456789'
                          type: phone
                          status: null
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    people_search_id:
      type: string
      format: uuid
      description: A unique identifier for the people search operation.
    people_linkedin_url:
      type: string
      example: http://www.linkedin.com/in/king-lai-605382b7
      description: >-
        The fully formed URL of the LinkedIn user profile. URL begin with `http`
        and contain `linkedin.com/in/` or `linkedin.com/pub/`
    people_contact_types:
      type: array
      items:
        type: string
        enum:
          - email-personal
          - email-work
          - phone
      example:
        - email-personal
        - email-work
        - phone
      description: >-
        This parameter controls the retrieval of various details such as work
        email address, personal email address, phone number. You can enter one
        or all.
    profile_id:
      type: integer
      description: >-
        Optional. An identifier for the user profile (workspace) making the
        request. This is no longer required as the API key already includes your
        workspace information. If provided, it helps in associating the lookup
        with a specific user, allowing for data retrieval and credit tracking. 

         Check out `user details` endpoints under the Profile tab for more information.
    data:
      type: object
      nullable: true
      description: Response info depends on specific endpoint.
  responses:
    general_error:
      description: >-
        Bad request. The request was malformed or contained invalid parameters.
        Check the error code and message for details.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        Rate limit exceeded. Too many requests were made in a given time period.
        Retry after the rate limit window resets.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        Internal server error. An unexpected error occurred on the server.
        Contact support if the error persists.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        A unique API token that represents the actions you perform through the
        API and the corresponding permissions and operations. You can create it
        through the [Settings](https://dashboard.pubrio.com/#/settings/)
        section.
      in: header

````